module.exports = {
  preset: "ts-jest",
  testEnvironment: "jsdom",
  // from https://github.com/kulshekhar/ts-jest/issues/1057#issuecomment-1886376509
  transform: {
    "\\.[jt]sx?$": ["ts-jest", { useESM: true }],
  },
  moduleNameMapper: {
    "(.+)\\.js": "$1",
    "^uuid$": require.resolve("uuid"),
  },
  extensionsToTreatAsEsm: [".ts", ".tsx"],
  setupFiles: ["./jest/setup.ts"]
  // endfrom
};
