/**
 * Type representing an entity schema.
 *
 * @category Schema
 */
export type EntityRawSchema = {
  type: string;
  final: boolean;
  description: string;
};

/**
 * Type representing a list of entity schemas.
 *
 * @category Schema
 */
export type EntityRawSchemaArray = ReadonlyArray<EntityRawSchema>;
